JTS Topology Suite - v 1.12

## com.vividsolutions.jts.util
Class CoordinateCountFilter

    java.lang.Object
      com.vividsolutions.jts.util.CoordinateCountFilter

All Implemented Interfaces:
  CoordinateFilter

    public class CoordinateCountFilter

extends java.lang.Object
implements CoordinateFilter

A `CoordinateFilter` that counts the total number of coordinates in a `Geometry`.

Version:
  1.7

Constructor Summary
`CoordinateCountFilter()`

Method Summary
`void` `filter(Coordinate coord)` Performs an operation with or on `coord`.
`int` `getCount()` Returns the result of the filtering.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinateCountFilter

    public CoordinateCountFilter()

Method Detail

### getCount

    public int getCount()

  Returns the result of the filtering.

  Returns:
    the number of points found by this `CoordinateCountFilter`

### filter

    public void filter(Coordinate coord)

  Description copied from interface: `CoordinateFilter`
  Performs an operation with or on `coord`.

  Specified by:
    `filter` in interface `CoordinateFilter`
  Parameters:
    `coord` - a `Coordinate` to which the filter is applied.

JTS Topology Suite - v 1.12